/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.geoviewer.jxmap.event;

import nl.cloudfarming.client.geoviewer.LayerEventKey;
import nl.cloudfarming.client.geoviewer.Layer;
import nl.cloudfarming.client.geoviewer.MapController;
import nl.cloudfarming.client.geoviewer.MapControllerLookup;
import nl.cloudfarming.eventbus.GuiEvent;
import nl.cloudfarming.eventbus.GuiEventKey;
import nl.cloudfarming.eventbus.GuiEventListener;
import org.openide.util.lookup.ServiceProvider;

/**
 *
 * @author Timon Veenstra
 */
@ServiceProvider(service=GuiEventListener.class)
public class LayerDataChangedEventListener implements GuiEventListener<Layer> {


    @Override
    public void onEvent(GuiEvent<Layer> event) {

        for (MapController controller :MapControllerLookup.getLookupResult().allInstances()){
            controller.addLayer(event.getContent());
        }
    }

    @Override
    public boolean listensTo(GuiEventKey guiEventKey) {
        return LayerEventKey.DATA_CHANGED_EVENT.equals(guiEventKey);
    }

    @Override
    public String getModuleName() {
        //TODO retreive from MOduleINfo
        return "cloudfarming-client-geoviewer-jxmap NetBeans Module";
    }

    
}
